import { test, expect } from '@playwright/test';

test('Test delete functionality', async ({ page }) => {
    // Navigate to the application
    await page.goto('http://185.100.212.76:8200');
    await page.getByPlaceholder('Email').fill('ramkumar@tester.local');
    await page.getByPlaceholder('Password').fill('123456');
    await page.getByRole('button', { name: 'Continue', exact: true }).click();
  
    // Switch to 2D mode
    await page.locator('.toggle-option:has-text("2d")').click();
  
    
    await page.locator('.drop-down-option-button > svg').click();
    await page.locator('div').filter({ hasText: /^Delete$/ }).first().click();


    await page.waitForTimeout(4000); 
});